%bcond_without	python2
%bcond_without	python3
#
%define		pname	bsddb3
%define		module	bsddb
Summary:	Python interface for BerkeleyDB
Summary(pl.UTF-8):	Interfejs Pythona do BerkeleyDB
Name:		python-%{module}
Version:	6.1.0
Release:	6
License:	BSD-like w/o adv. clause
Group:		Development/Languages/Python
Source0:	http://pypi.python.org/packages/source/b/bsddb3/%{pname}-%{version}.tar.gz
# Source0-md5:	8d998ee04dc05f3808a7edfe3011decc
Patch0:		x32.patch
URL:		http://www.argo.es/~jcea/programacion/pybsddb.htm
BuildRequires:	db-devel >= 4.1.25
%if %{with python2}
BuildRequires:	python-devel >= 1:2.3
BuildRequires:	python-modules
%endif
%if %{with python3}
BuildRequires:	python3
BuildRequires:	python3-devel
BuildRequires:	python3-modules
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.710
%pyrequires_eq	python-modules
Obsoletes:	bsddb3
Obsoletes:	python-bsddb3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides a nearly complete wrapping of the Sleepycat C API
for the Database Environment, Database, Cursor, and Transaction
objects, and each of these is exposed as a Python Type in the
bsddb3.db module. The databse objects can use various access methods:
btree, hash, recno, and queue. For the first time all of these are
fully supported in the Python wrappers. Please see the documents in
the docs directory of the source distribution or at the website for
more details on the types and methods provided.

%description -l pl.UTF-8
Ten moduł dostarcza prawie całkowite opakowanie API C Sleepycat do
obiektów środowiska baz danych, baz danych, kursorów i transakcji, z
których każdy jest udostępniony jako pythonowy typ w module bsddb3.db.
Obiekty bazy danych mogą używać różnych metod dostępu: btree, hash,
recno i queue. Jest to pierwsza implementacja obsługi tych obiektów
dla Pythona. Więcej szczegółów o typach i metodach znajduje się w
załączonej dokumentacji lub na stronie WWW.

%package -n python3-%{pname}
Summary:	Python interface for BerkeleyDB
Summary(pl.UTF-8):	Interfejs Pythona do BerkeleyDB
Group:		Development/Languages/Python

%description -n python3-%{pname}
This module provides a nearly complete wrapping of the Oracle C API
for the Database Environment, Database, Cursor, and Transaction
objects, and each of these is exposed as a Python Type in the
bsddb3.db module. The databse objects can use various access methods:
btree, hash, recno, and queue. For the first time all of these are
fully supported in the Python wrappers. Please see the documents in
the docs directory of the source distribution or at the website for
more details on the types and methods provided.

%description -n python3-%{pname} -l pl.UTF-8
Ten moduł dostarcza prawie całkowite opakowanie API C Oracle do
obiektów środowiska baz danych, baz danych, kursorów i transakcji, z
których każdy jest udostępniony jako pythonowy typ w module bsddb3.db.
Obiekty bazy danych mogą używać różnych metod dostępu: btree, hash,
recno i queue. Jest to pierwsza implementacja obsługi tych obiektów
dla Pythona. Więcej szczegółów o typach i metodach znajduje się w
załączonej dokumentacji lub na stronie WWW.

%prep
%setup -q -n %{pname}-%{version}
%patch0 -p1

%build
%if %{with python2}
env %py_build \
	--berkeley-db-libdir=%{_libdir} \
	--berkeley-db=%{_prefix}
%endif

%if %{with python3}
env %py3_build \
	--berkeley-db-libdir=%{_libdir} \
	--berkeley-db=%{_prefix}
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install \

%py_postclean

# do not include in main package tests and devel headers
%{__rm} -r $RPM_BUILD_ROOT%{py_sitedir}/bsddb3/tests
%{__rm} -r $RPM_BUILD_ROOT%{py_incdir}/bsddb3/bsddb.h
%endif

%if %{with python3}
%py3_install \

# do not include in main package tests and devel headers
%{__rm} -r $RPM_BUILD_ROOT%{py3_sitedir}/bsddb3/tests
%{__rm} -r $RPM_BUILD_ROOT%{py3_incdir}/bsddb3/bsddb.h
%endif


%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc *.txt
%dir %{py_sitedir}/bsddb3
%{py_sitedir}/bsddb3/*.py[co]
%attr(755,root,root) %{py_sitedir}/bsddb3/*.so
%if "%{py_ver}" > "2.4"
%{py_sitedir}/bsddb3-*.egg-info
%endif
%endif

%if %{with python3}
%files -n python3-%{pname}
%defattr(644,root,root,755)
%doc *.txt docs
%dir %{py3_sitedir}/bsddb3
%{py3_sitedir}/*.egg-info
%{py3_sitedir}/bsddb3/*.py
%{py3_sitedir}/bsddb3/__pycache__
%attr(755,root,root) %{py3_sitedir}/bsddb3/*.so
%endif
%changelog
* Wed Dec 28 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-bsddb.git;a=log;h=master

* Wed Dec 28 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> e8505b2
- python 3.6
- release 6 (by relup.sh)

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 7facf3e
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 694292f
- release 5 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> ab21070
- automatic change: use py_build/py_install macros

* Fri Oct 02 2015 Jan Rękorajski <baggins@pld-linux.org> d300f66
- fix build on x32
- rel 4

* Sun Sep 13 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 90aca82
- python 3.5 rebuild
- release 3 (by relup.sh)

* Sun Oct 19 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 3dd59a9
- python 3.4
- release 2 (by relup.sh)

* Thu Sep 04 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 3a0da7c
- up to 6.1.0

* Sun Jul 07 2013 Elan Ruusamäe <glen@delfi.ee> d6966f7
- rebuild without py2 specific pythonegg() provides
- release 5 (by relup.sh)

* Wed Nov 14 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 388fc67
- release 4 (by relup.sh)

* Wed Sep 05 2012 Jan Rękorajski <baggins@pld-linux.org> ca5cc18
- release 3 (by relup.sh)

* Tue Sep 04 2012 Jan Rękorajski <baggins@pld-linux.org> e2ebd91
- Rebuild with DB 5.3
- release 2 (by relup.sh)

* Sun Jan 22 2012 zbyniu <zbyniu@pld-linux.org> 872c821
- up to 5.3.0

* Fri Jul 15 2011 Jacek Konieczny <jajcus@pld-linux.org> 9559bf8
- Python 3.2 fixes
- Release: 2

* Thu Mar 10 2011 lisu <lisu@pld-linux.org> 2d781b5
- up to 5.1.2
- __rm macro

* Wed Nov 10 2010 lisu <lisu@pld-linux.org> a5b154d
- 5.1.1

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> cb455fd
- release 2

* Thu Apr 08 2010 lisu <lisu@pld-linux.org> fbbcbd6
- up to 5.0.0

* Mon Mar 29 2010 lisu <lisu@pld-linux.org> 2c3de49
- up to 4.8.4
- sorted BRs

* Sat Mar 27 2010 Artur Frysiak <artur@frysiak.net> 4fd395e
- build python2 and python3 versions from one spec
- release 2

